"use strict";
const React = require("react");
const __1 = require("./..");
jest.useFakeTimers();
describe("render tests", () => {
    it("render", () => {
        let c1 = 0;
        class Test extends React.Component {
            componentWillMount() {
                setTimeout(() => {
                    c1 = 5;
                }, 10);
            }
            render() {
                return React.createElement("div", null, 
                    "Test2", 
                    React.createElement("span", null, 
                        "Log", 
                        React.createElement("div", null, 
                            "4", 
                            React.createElement("span", null, "5"), 
                            "66"), 
                        React.createElement("div", null)));
            }
        }
        const renderer = __1.render(React.createElement(Test, null));
        jest.runTimersToTime(100);
        expect(c1).toBe(5);
        renderer.destroy();
    });
});
