import * as React from "react";
import { render } from "./..";
jest.useFakeTimers();
describe("render tests", () => {
    it("render", () => {
        let c1 = 0;
        class Test extends React.Component<any, any> {
            public componentWillMount() {
                setTimeout(() => {
                    c1 = 5;
                }, 10);
            }
            public render() {
                return <div>Test2<span>Log<div>4<span>5</span>66</div><div></div></span></div>;
            }
        }
        const renderer = render(<Test />);
        jest.runTimersToTime(100);
        expect(c1).toBe(5);
        renderer.destroy();
    });
});
