# react-stdout

Render react to terminal by blessed.

[![Build Status](https://travis-ci.org/arvitaly/react-stdout.svg?branch=master)](https://travis-ci.org/arvitaly/react-stdout)
[![npm version](https://badge.fury.io/js/react-stdout.svg)](https://badge.fury.io/js/react-stdout)
[![Coverage Status](https://coveralls.io/repos/github/arvitaly/react-stdout/badge.svg?branch=master)](https://coveralls.io/github/arvitaly/react-stdout?branch=master)
[![experimental](http://badges.github.io/stability-badges/dist/experimental.svg)](http://github.com/badges/stability-badges)


# Install

    npm install react-stdout --save

# Usage

    import React = require("react");
    import {render} from "react-stdout";

    class Test extends React.Component<any, any> {
        public render() {
            return <div>Text</div>;
        }
    }

    const renderer = render(<Test />);
    // ...
    renderer.destroy();

# Tests

    npm install
    npm test