import child_process = require("child_process");
import path = require("path");

const child = child_process.fork(path.join(__dirname, "bin.js"), [path.join(__dirname, "test-component.js"),
    "--props={\"v\":15}"]);
child.on("message", (data) => {
    console.assert(data === "testValue15", "Test value should be equals");
    process.exit(0);
});
setTimeout(() => {
    process.exit(1);
}, 3000);
